edu.sc.seis.sod.velocity.seismogram

## Class VelocitySeismogram

- java.lang.Object
- - edu.iris.Fissures.IfSeismogramDC.SeismogramAttr
  - - edu.iris.Fissures.IfSeismogramDC.LocalSeismogram
    - - edu.iris.Fissures.seismogramDC.SeismogramAttrImpl
      - - edu.iris.Fissures.seismogramDC.LocalSeismogramImpl
        - - edu.sc.seis.sod.velocity.seismogram.VelocitySeismogram

- All Implemented Interfaces:
    edu.iris.Fissures.AuditSystemAccess, edu.iris.Fissures.IfTimeSeries.TimeSeriesAccess, edu.iris.Fissures.IfTimeSeries.TimeSeriesAdmin, java.io.Serializable, org.omg.CORBA.portable.IDLEntity, org.omg.CORBA.portable.Streamable, org.omg.CORBA.portable.StreamableValue, org.omg.CORBA.portable.ValueBase

      public class VelocitySeismogram
      extends edu.iris.Fissures.seismogramDC.LocalSeismogramImpl

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class edu.iris.Fissures.seismogramDC.LocalSeismogramImpl

      `codec, decomp`

    - ### Fields inherited from class edu.iris.Fissures.seismogramDC.SeismogramAttrImpl

      `beginTime`

    - ### Fields inherited from class edu.iris.Fissures.IfSeismogramDC.LocalSeismogram

      `data`

    - ### Fields inherited from class edu.iris.Fissures.IfSeismogramDC.SeismogramAttr

      `begin_time, channel_id, id, num_points, parm_ids, properties, sample_rate_history, sampling_info, time_corrections, y_unit`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VelocitySeismogram(edu.iris.Fissures.seismogramDC.LocalSeismogramImpl localSeis, edu.iris.Fissures.IfNetwork.Channel chan)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAllProps()`
    `edu.iris.Fissures.model.MicroSecondDate` | `getBegin()`
    `java.lang.String` | `getBegin(java.lang.String dateFormat)`
    `VelocityChannel` | `getChannel()`
    `edu.iris.Fissures.model.MicroSecondDate` | `getEnd()`
    `java.lang.String` | `getEnd(java.lang.String dateFormat)`
    `VelocityProperty[]` | `getProps()`
    `edu.iris.Fissures.model.SamplingImpl` | `getSampling()`
    `java.lang.String` | `toString()`
    `static java.util.List<java.util.List<VelocitySeismogram>>` | `wrap(edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] seis, edu.sc.seis.fissuresUtil.hibernate.ChannelGroup channelGroup)`
    `static java.util.List<VelocitySeismogram>` | `wrap(edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seis, edu.iris.Fissures.IfNetwork.Channel chan)`
    `static VelocitySeismogram` | `wrap(edu.iris.Fissures.seismogramDC.LocalSeismogramImpl seis, edu.iris.Fissures.IfNetwork.Channel chan)`

    - ### Methods inherited from class edu.iris.Fissures.seismogramDC.LocalSeismogramImpl

      `append_doubles, append_doubles, append_encoded_seq, append_encoded_seq, append_encoded, append_encoded, append_floats, append_floats, append_longs, append_longs, append_shorts, append_shorts, append, calculateNumPoints, can_convert_to_double, can_convert_to_float, can_convert_to_long, can_convert_to_short, close, createEmpty, dataChanged, decodeBits, get_as_doubles, get_as_encoded, get_as_floats, get_as_longs, get_as_shorts, get_audit_trail, getAmplitudeRange, getAmplitudeRange, getData, getDataType, getMaxValue, getMaxValue, getMeanValue, getMeanValue, getMinValue, getMinValue, getNumPoints, getValueAt, getValues, implize, implize, is_double, is_encoded, is_float, is_long, is_short, isDataDecodable, makeFissuresException, makeFissuresException, setAttributes, setData, setData, setData, setData, setData, setData`

    - ### Methods inherited from class edu.iris.Fissures.seismogramDC.SeismogramAttrImpl

      `get_id, getBeginTime, getChannelID, getEndTime, getName, getParameterRefs, getProperties, getProperty, getTimeInterval, getUnit, is_closed, setName, setParameterRefs, setProperties, setProperty`

    - ### Methods inherited from class edu.iris.Fissures.IfSeismogramDC.LocalSeismogram

      `_read, _truncatable_ids, _type, _write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VelocitySeismogram

          public VelocitySeismogram(edu.iris.Fissures.seismogramDC.LocalSeismogramImpl localSeis,
                                    edu.iris.Fissures.IfNetwork.Channel chan)

  - ### Method Detail

    - #### getBegin

          public edu.iris.Fissures.model.MicroSecondDate getBegin()

    - #### getBegin

          public java.lang.String getBegin(java.lang.String dateFormat)

    - #### getEnd

          public edu.iris.Fissures.model.MicroSecondDate getEnd()

    - #### getEnd

          public java.lang.String getEnd(java.lang.String dateFormat)

    - #### getChannel

          public VelocityChannel getChannel()

    - #### getSampling

          public edu.iris.Fissures.model.SamplingImpl getSampling()

      Overrides:
        `getSampling` in class `edu.iris.Fissures.seismogramDC.SeismogramAttrImpl`

    - #### getProps

          public VelocityProperty[] getProps()

    - #### getAllProps

          public java.lang.String getAllProps()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### wrap

          public static java.util.List<VelocitySeismogram> wrap(edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seis,
                                                                edu.iris.Fissures.IfNetwork.Channel chan)

    - #### wrap

          public static java.util.List<java.util.List<VelocitySeismogram>> wrap(edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] seis,
                                                                                edu.sc.seis.fissuresUtil.hibernate.ChannelGroup channelGroup)

    - #### wrap

          public static VelocitySeismogram wrap(edu.iris.Fissures.seismogramDC.LocalSeismogramImpl seis,
                                                edu.iris.Fissures.IfNetwork.Channel chan)